FoldingText
-------------

The goal is to create command line access to FoldingText related files.

NOTE Right now this is actually only reading TaskPaper 3.0 formatted files.

The problem is I don't use the command line much myself and have just started using node.js. I'm sure everything I'm doing is wrong. Here's what I've done so far:

1. Wrapped up the model classes from the FoldingText codebase and put them in lib/foldingtextlib.js

2. Created a very basic command line app in bin/foldingtext

The command line app takes two file paramaters, a file containing a javascript function and a file containing a foldingtext file. It reads the foldingtext file into a foldingtext node tree, and then evaluates that javascript function and passes it the node tree.

It's a similar to the way that AppleScripting works in [FoldingText](http://www.foldingtext.com/sdk/scripts/). Except in this case the script function is passed a Tree instead of an editor, since in this case we are on the command line and only need to concern ourselves with model level objects.

You can try out the example like this:

    ./bin/foldingtext evaluate ./example/script.js ./example/tree.ft

Try it out. Make some edits to `./example/script.js` and see what happens. Look to [FoldingText SDK](http://www.foldingtext.com/sdk) for some very rough pointers on the API. Then think about how you might use this and let me know how you think this tool should really work.

Thanks,
Jesse