/*
 * Copyright (c) 2011-2012 Hog Bay Software. All rights reserved.
 */

define(function (require, exports, module) {
	'use strict';
	var Sound = function () {
	};

	(function () {
		this.playSound = function (soundPath) {
			var soundHandle = document.getElementById('soundHandle');
			if (!soundHandle) {
				soundHandle = document.createElement('audio');
				soundHandle.id = 'soundHandle';
				document.body.appendChild(soundHandle);
			}
			soundHandle.src = soundPath;
			soundHandle.play();
		};
	}).call(Sound.prototype);

	exports.Sound = new Sound(); // Singleton
});