//
// Copyright (c) 2013 Jesse Grosjean. All rights reserved.
//
// Permission is given for you to use this software ONLY while creating themes
// and plugins for the "FoldingText" software platform. Permission is NOT
// given for any other purpose.
//

define(function (require, exports, module) {
	'use strict';

	function phraseToDate() {
	}

	function dateToString() {
	}

	function stringToDate() {
	}

	exports.phraseToDate = phraseToDate;
	exports.dateToString = dateToString;
	exports.stringToDate = stringToDate;
});

/*
{
  var MS_IN_SEC = 1000;
  var MS_IN_MIN = MS_IN_SEC * 60;
  var MS_IN_HOUR = MS_IN_MIN * 60;
  var MS_IN_DAY = MS_IN_HOUR * 24;
  var MS_IN_WEEK = MS_IN_DAY * 7;
  var MS_IN_MONTH = MS_IN_DAY * 31;
  var MS_IN_MONTH = MS_IN_DAY * 31;
  var MS_IN_YEAR = MS_IN_DAY * 365;
  
  function today(offset) {
    if (!offset) {
      offset = 0;
    }
    var d = new Date();
    d.setDate(d.getDate() + offset);
    d.setHours(0,0,0,0);
    return d;
  }
}

start
  = date:Date _ time:Time? {
    if (time) {
      date.time = time;
    }
    
    //if (relativeShift) {
    //  if (date.year !== undefined) {
    //    date.year += relativeShift;
    //  } else if (date.month) !== undefined {
    //  
    //  }
    //}
    
    return date;  
  }

Date
  = "now" { return new Date(); }
  / "today" { return today(); }
  / DayOfWeek
  / year:Year? _ month:Month? _ day:DayOfMonth? {
    return {
      year: year,
      month: month,
      day: day
    }
  }

Year
  = year:([0-9][0-9][0-9][0-9]) {
    return parseInt(year.join(''), 10)
  }

Month
  = ("january"i / "jan"i) { return 0; }
  / ("february"i / "feb"i) { return 1; }
  / ("march"i / "mar"i) { return 2; }
  / ("april"i / "apr"i) { return 3; }
  / ("may"i / "may"i) { return 4; }
  / ("june"i / "jun"i) { return 5; }
  / ("july"i / "jul"i) { return 6; }
  / ("august"i / "aug"i) { return 7; }
  / ("september"i / "sep"i) { return 8; }
  / ("october"i / "oct"i) { return 9; }
  / ("november"i / "nov"i) { return 10; }
  / ("december"i / "dec"i) { return 11; }

DayOfMonth
  = day:Integer ("st" / "rd" / "th") {
    return day;
  }

DayOfWeek
  = day:DayName {
    var d = today();
    var currentDay = d.getDay();
    var distance = day - currentDay;
    d.setDate(d.getDate() + distance);
    return d;
  }

DayName
  = ("sunday"i / "sun"i) { return 0; }
  / ("monday"i / "mon"i) { return 1; }
  / ("tuesday"i / "tue"i) { return 3; }
  / ("wendsday"i / "wed"i) { return 3; }
  / ("thursday"i / "thu"i) { return 4; }
  / ("friday"i / "fri"i) { return 5; }
  / ("saturday"i / "sat"i) { return 6; }

Time
  = hours:Integer minutes:Minutes? seconds:Seconds? period:Period? & {
    if (period && hours > 12) return false;
    if (hours > 24) return false;
    return true;
  } {
    return {
      hours: period ? hours + 12 : hours,
      minutes: minutes ? minutes : 0,
      seconds: seconds ? seconds : 0      
    }
  }

Minutes
  = ":" minutes:Integer & {
    return minutes < 60;
  } {
    return minutes;
  }

Seconds
  = ":" seconds:Integer & {
    return seconds < 60;
  } {
    return seconds;
  }

Period
  = ("am"i / "a"i) { return 0; }
  / ("pm"i / "p"i) { return 1; }

Integer
  = sign:'-'? number:[0-9]+ {
  if (sign) {
    return -parseInt(number.join(''), 10);  
  } else {
    return parseInt(number.join(''), 10);
  }
}

_ "whitespace"
  = whitespace:whitespace* { return whitespace.join("") }

whitespace
  = [ \t\n\r]
*/