define(function (require, exports, module) {
	'use strict';

	var Delay = function Delay() {
		this.id = null;
	};

	(function () {

		this.set = function set(ms, f) {
			this.clear();
			this.id = setTimeout(f, ms);
		};

		this.clear = function clear() {
			clearTimeout(this.id);
		};

	}).call(Delay.prototype);

	exports.Delay = Delay;
});