define(function (require, exports, module) {
	'use strict';

	exports.toBeJsonEqual = function toBeJsonEqual() {
		return {
			compare: function (actual, expected) {
				var actualString = JSON.stringify(actual),
					expectedString = JSON.stringify(expected),
					result = {
						pass: actualString === expectedString
					};

				if (result.pass) {
					result.message = actualString + ' is json equal to ' + expectedString;
				} else {
					result.message = actualString + ' is not json equal to ' + expectedString;
				}

				return result;
			}
		};
	};
});