/*
 * Copyright (c) 2011-2012 Hog Bay Software. All rights reserved.
 */

define(function (require) {
	'use strict';

	require('ft/util/array');

	describe('Array', function () {
		it('should sorted uniquify', function () {
			var array = [1, 1, 1, 1, 2, 2, 2, 2, 3];
			array.sortedUniquify();
			expect(array).toEqual([1, 2, 3]);
		});

		it('should sorted add', function () {
			var array = [ 1, 1, 1, 1, 2, 2, 2, 2, 3 ];
			array.sortedAdd(1.5);
			expect(array).toEqual([ 1, 1, 1, 1, 1.5, 2, 2, 2, 2, 3 ]);
		});

		it('should sorted remove', function () {
			var array = [1, 1, 1, 1, 2, 2, 2, 2, 3];
			array.sortedRemove(2);
			expect(array).toEqual([1, 1, 1, 1, 2, 2, 2, 3]);
		});
	});
});
